Bug 107946 - AMDGPU regression, multi-head not working on 4.18, 4.19RC3, but does on 4.16
Summary: AMDGPU regression, multi-head not working on 4.18, 4.19RC3, but does on 4.16
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-15 19:19 UTC by Dave Johnson
Modified: 2018-12-04 19:49 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg output on a broken system, using kernel 4.19_RC3 (89.54 KB, text/plain)
2018-09-15 19:19 UTC, Dave Johnson
no flags Details
dmesg output from a working system, kernel 4.16 (87.21 KB, text/plain)
2018-09-15 19:21 UTC, Dave Johnson
no flags Details
dmesg output from broken system, kernel 4.18 (89.68 KB, text/plain)
2018-09-15 19:22 UTC, Dave Johnson
no flags Details
dmesg with drm.debug=6 set at boot time (502.65 KB, text/plain)
2018-09-24 22:07 UTC, Dave Johnson
no flags Details
Xorg log (43.78 KB, text/x-log)
2018-09-24 22:07 UTC, Dave Johnson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Johnson 2018-09-15 19:19:30 UTC
Created attachment 141576 [details]
dmesg output on a broken system, using kernel 4.19_RC3

Multi-head on AMD Vega is not working on kernel 4.18 or 4.19RC, but works fine on 4.16

I'm stuck at kernel 4.16 with my hardware, current stable kernels leave me with just one display working.

Attaching dmesg output from 4.16, 4.18, and 4.19_RC3
Comment 1 Dave Johnson 2018-09-15 19:21:15 UTC
Created attachment 141577 [details]
dmesg output from a working system, kernel 4.16
Comment 2 Dave Johnson 2018-09-15 19:22:11 UTC
Created attachment 141578 [details]
dmesg output from broken system, kernel 4.18
Comment 3 Nicholas Kazlauskas 2018-09-18 13:07:06 UTC
Please post an Xorg log along with what distro/desktop environment you're using. It may also help if you can post another 4.19 dmesg log with drm.debug=6 in your bootline.
Comment 4 Dave Johnson 2018-09-24 22:06:47 UTC
Uploading 4.19_RC5 dmesg w/ drm.debug=6 set, Xorg log

Also, here's more info about my setup:

+OpenSuSE Tumbleweed
  -at this time there are no 3rd-party or non-foss additions
+KDE
  -Plasma 5.13.5
  -Frameworks 5.49.0
+Radeon RX Vega 54
  -Asus Strix
  -ROG-STRIX-RXVEGA64-O8G-GAMING
  -Part# 90YV0B00-M0NA00
+MiniDP works
+DVI port does not work
  -Except on older 4.16 of course
Comment 5 Dave Johnson 2018-09-24 22:07:26 UTC
Created attachment 141727 [details]
dmesg with drm.debug=6 set at boot time
Comment 6 Dave Johnson 2018-09-24 22:07:58 UTC
Created attachment 141728 [details]
Xorg log
Comment 7 Dave Johnson 2018-12-04 19:46:25 UTC
This has been resolved for me in the current 4.19 stable build.  Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.